Skip to main content
`Ctrl`+`K`

# DMPlexFreeGeomObject

Frees PetscGeom Objects

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexFreeGeomObject(DM dm, PetscGeom *geomObj) PeNS

Not collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- geomObj - PetscGeom object

## See Also

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages